import processing.core.*; 
import processing.xml.*; 

import java.applet.*; 
import java.awt.Dimension; 
import java.awt.Frame; 
import java.awt.event.MouseEvent; 
import java.awt.event.KeyEvent; 
import java.awt.event.FocusEvent; 
import java.awt.Image; 
import java.io.*; 
import java.net.*; 
import java.text.*; 
import java.util.*; 
import java.util.zip.*; 
import java.util.regex.*; 

public class doors extends PApplet {


int doorWidth = 300;
int doorHeight = 750;
int border = 10;

int steps = 0;

boolean door0closed = true;
boolean door1closed = true;
boolean door2closed = true;

int carAt;
int selectedDoor;

PImage goat, car;

public void setup() {
  size(940, 770);
  carAt = PApplet.parseInt(random(3));
  selectedDoor = -1;
  goat = loadImage("goat.jpg");
  car = loadImage("car.jpg");
  noStroke();
}

public void draw() {
  background (255);
  if (door0closed) 
    drawDoor(0);
  else if (carAt == 0)
    drawCar(0);
  else drawGoat(0);

  if (door1closed) 
    drawDoor(1);
  else if (carAt == 1)
    drawCar(1);
  else drawGoat(1);

  if (door2closed) 
    drawDoor(2);
  else if (carAt == 2)
    drawCar(2);
  else drawGoat(2);

  if (selectedDoor >= 0) steps = steps + 1;
  if (steps > 100) {
    if (selectedDoor == 0) {
      if (carAt == 1) {
        door2closed = false;
      } 
      else {
        door1closed = false;
      }
    } 
    else if (selectedDoor == 1) {
      if (carAt == 0) {
        door2closed = false;
      } 
      else {
        door0closed = false;
      }
    } 
    else if (selectedDoor == 2) {
      if (carAt == 0) {
        door1closed = false;
      } 
      else {
        door0closed = false;
      }
    }
  }
}

public void drawDoor(int doorNum) {
  fill(170, 100, 10);
  rect((border * (doorNum + 1)) + (doorWidth * doorNum), border, doorWidth, doorHeight);
  if (selectedDoor == doorNum) {
    fill(255, 0, 0);
    rect((border * (doorNum + 1)) + (doorWidth * doorNum) + (3 * doorWidth / 8), border + (3 * doorHeight / 8), doorWidth / 4, doorHeight / 4);
  }
  fill(0);
  ellipse((border * (doorNum + 1)) + (doorWidth * (doorNum + 1)) - 30, 400, 20, 20);
}

public void drawGoat(int doorNum) {
  image(goat, (border * (doorNum + 1)) + (doorWidth * doorNum), 400, doorWidth, 300);
}

public void drawCar(int doorNum) {
  image(car, (border * (doorNum + 1)) + (doorWidth * doorNum), 400, doorWidth, 200);
}

public void mouseClicked () {
  if (selectedDoor < 0) {
    if (mouseX < border + doorWidth) {
      selectedDoor = 0;
    } 
    else if (mouseX < border + doorWidth + border + doorWidth) {
      selectedDoor = 1;
    } 
    else {
      selectedDoor = 2;
    }
  } 
  else {
    if (mouseX < border + doorWidth) {
      door0closed = false;
    } 
    else if (mouseX < border + doorWidth + border + doorWidth) {
      door1closed = false;
    } 
    else {
      door2closed = false;
    }
  }
}

  static public void main(String args[]) {
    PApplet.main(new String[] { "--present", "--bgcolor=#666666", "--stop-color=#cccccc", "doors" });
  }
}
